/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.IO;
using System.Runtime.Serialization;
using System.Text;
using System.Text.RegularExpressions;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;
using Newtonsoft.Json.Linq;
using System.ComponentModel.DataAnnotations;
using OpenAPIDateConverter = Coscine.ApiClient.Core.Client.OpenAPIDateConverter;

namespace Coscine.ApiClient.Core.Model
{
    /// <summary>
    /// Specifies the unit of quota.
    /// </summary>
    /// <value>Specifies the unit of quota.</value>
    [JsonConverter(typeof(StringEnumConverter))]
    public enum QuotaUnit
    {
        /// <summary>
        /// Enum HttpsQudtOrgVocabUnitBYTE for value: https://qudt.org/vocab/unit/BYTE
        /// </summary>
        [EnumMember(Value = "https://qudt.org/vocab/unit/BYTE")]
        HttpsQudtOrgVocabUnitBYTE = 1,

        /// <summary>
        /// Enum HttpsQudtOrgVocabUnitKibiBYTE for value: https://qudt.org/vocab/unit/KibiBYTE
        /// </summary>
        [EnumMember(Value = "https://qudt.org/vocab/unit/KibiBYTE")]
        HttpsQudtOrgVocabUnitKibiBYTE = 2,

        /// <summary>
        /// Enum HttpsQudtOrgVocabUnitMebiBYTE for value: https://qudt.org/vocab/unit/MebiBYTE
        /// </summary>
        [EnumMember(Value = "https://qudt.org/vocab/unit/MebiBYTE")]
        HttpsQudtOrgVocabUnitMebiBYTE = 3,

        /// <summary>
        /// Enum HttpsQudtOrgVocabUnitGibiBYTE for value: https://qudt.org/vocab/unit/GibiBYTE
        /// </summary>
        [EnumMember(Value = "https://qudt.org/vocab/unit/GibiBYTE")]
        HttpsQudtOrgVocabUnitGibiBYTE = 4,

        /// <summary>
        /// Enum HttpsQudtOrgVocabUnitTebiBYTE for value: https://qudt.org/vocab/unit/TebiBYTE
        /// </summary>
        [EnumMember(Value = "https://qudt.org/vocab/unit/TebiBYTE")]
        HttpsQudtOrgVocabUnitTebiBYTE = 5,

        /// <summary>
        /// Enum HttpsQudtOrgVocabUnitPebiBYTE for value: https://qudt.org/vocab/unit/PebiBYTE
        /// </summary>
        [EnumMember(Value = "https://qudt.org/vocab/unit/PebiBYTE")]
        HttpsQudtOrgVocabUnitPebiBYTE = 6
    }

}
